complex:
  entity_embedder:
    dropout: -0.3128825817257166
    regularize_weight: 1.0274165130442088e-15
  relation_embedder:
    dropout: 0.1540917595848441
    regularize_weight: 2.934669571854759e-10
dataset:
  files:
    test:
      size: 5000
    test_without_unseen:
      filename: test_without_unseen.del
      size: 4982
      type: triples
    train:
      size: 1079040
    train_sample:
      filename: train_sample.del
      size: 5000
      type: triples
    valid:
      size: 5000
    valid_without_unseen:
      filename: valid_without_unseen.del
      size: 4978
      type: triples
  name: yago3-10
  num_entities: 123182
  num_relations: 37
eval:
  batch_size: 256
  chunk_size: 25000
  metrics_per:
    relation_type: true
  trace_level: example
import:
- reciprocal_relations_model
- complex
lookup_embedder:
  dim: 128
  initialize: uniform_
  initialize_args:
    normal_:
      mean: 0.0
      std: 0.036423597922559676
    uniform_:
      a: -0.4357536096219625
    xavier_normal_:
      gain: 1.0
    xavier_uniform_:
      gain: 1.0
  regularize_args:
    p: 3
    weighted: true
  sparse: true
model: complex
negative_sampling:
  implementation: batch
  num_samples:
    o: 8942
    s: 8919
  shared: true
  with_replacement: false
reciprocal_relations_model:
  base_model:
    type: complex
train:
  auto_correct: true
  batch_size: 1024
  loss_arg: 1.0
  lr_scheduler: ReduceLROnPlateau
  lr_scheduler_args:
    factor: 0.95
    mode: max
    patience: 5
    threshold: 0.0001
  max_epochs: 400
  optimizer_args:
    lr: 0.22584037828361303
  type: negative_sampling
valid:
  early_stopping:
    min_threshold:
      epochs: 10
      metric_value: 0.1
    patience: 10

